about summary refs log tree commit diff
path: root/test/ppmrough.test
diff options
context:
space:
mode:
Diffstat (limited to 'test/ppmrough.test')
-rwxr-xr-xtest/ppmrough.test17
1 files changed, 17 insertions, 0 deletions
diff --git a/test/ppmrough.test b/test/ppmrough.test
new file mode 100755
index 00000000..cf948f9f
--- /dev/null
+++ b/test/ppmrough.test
@@ -0,0 +1,17 @@
+#! /bin/bash
+# This script tests: ppmrough
+# Also requires:
+
+testrandom -q
+case $? in
+   81)
+      # Should print: 378403602 30015
+      ppmrough  -randomseed 1 | cksum
+      ;;
+
+   8[02-9] | 90)
+       echo "Skipping: random number generator is not glibc." 1>&2
+       exit 80;;
+
+   *)  exit 1;;  # testrandom failed
+esac